Skip to content

Changelog libxfce4util (4.14.0-1)

2019

libxfce4util (4.14.0-1) unstable; urgency=medium

   [ Unit 193 ]
   * New upstream version 4.14.0
   * d/rules: Pass '--enable-gtk-doc' during configure to fix consecutive builds.

libxfce4util (4.13.4-1) experimental; urgency=medium

   [ Unit 193 ]
   * d/p/*, d/rules: Add all patches, but guard based on dpkg-vendor.
 
   [ Mateusz Łukasik ]
   * New upstream version 4.13.4
 
   [ Yves-Alexis Perez ]
   * d/control: update standards version to 4.4.0

libxfce4util (4.13.3-1) experimental; urgency=medium

   * New upstream version 4.13.3
   * d/control: update standards version to 4.3.0
   * d/control: drop Lionel from uploaders, thanks!
   * use debhelper-compat b-d for dh compatibility level
   * d/libxfce4util7.symbols updated for new release
   * Ubuntu-specific patch series dropped

2018

libxfce4util (4.13.2-1) experimental; urgency=medium

   [ Yves-Alexis Perez ]
   * Moved the package to git on salsa.debian.org
   * Updated the maintainer address to debian-xfce@lists.debian.org
                                                                 closes: #899865
   * d/gbp.conf added, following DEP-14
 
   [ Unit 193 ]
   * New upstream development release.
   * d/compat, d/control: Bump dh compat to 11.
   * d/control, d/copyright, d/watch: Use https where possible.
   * d/control:
     - Build-depend on xfce4-dev-tools and gtk-doc-tools for autoreconf.
     - Drop versioned build-depend on dpkg-dev.
   * d/rules: Drop --parallel and --disable-silent-rules, dh defaults now.
   * Update Standards-Version to 4.1.4.
   * Remove trailing whitespace in debian/ files.

2017

libxfce4util (4.13.1-1) experimental; urgency=medium

   [ Unit 193 ]
   * New upstream development release.
   * d/rules:
     - Use dh_missing instead of dh_install --fail-missing.
 
   [ Yves-Alexis Perez ]
   * debian/control:
     - update standards version to 4.1.1.
     - put libxfce4util7 to section libs.
   * Run wrap-and-sort.

libxfce4util (4.13.0-1) experimental; urgency=medium

   [ Yves-Alexis Perez ]
   * New upstream development release.
   * debian/control:
     - update standards version to 4.0.0
     - run wrap-and-sort.
   * debian/patches:
     - 02_fix-abicheck removed, included upstream.
   * debian/libxfce4util7.symbols updated for new release.
 
   [ Unit 193 ]
   * d/control, d/rules: Migrate to dbgsym packages.

2016

libxfce4util (4.12.1-3) unstable; urgency=medium

   [ Helmut Grohne ]
   * Add Multi-Arch stanzas                                      closes: #842563
     + libxfce4util-common: foreign
     + libxfce4util7, libxfce4util7-dbg, libxfce4util-dev: same

2015

libxfce4util (4.12.1-2) unstable; urgency=medium

   * Upload to unstable.

libxfce4util (4.12.1-1) experimental; urgency=medium

   [ Mateusz Łukasik ]
   * New upstream release.
   * Bump standards version to 3.9.6
   * Bump soname 6 to 7.
 
   [ Yves-Alexis Perez ]
   * debian/libxfce4util7.symbols updated for new soname.
   * debian/control:
     - libxfce4util-dev: drop useless Breaks/Replaces on libxfce4util6-dev
       package since it doesn't exist.

2014

libxfce4util (4.11.0-1) experimental; urgency=low

   [ Evgeni Golov ]
   * Correct Vcs-* URLs to point to anonscm.debian.org
 
   [ Jackson Doak ]
   * New upstream release
   * Bump standards version to 3.9.5
   * debian/rules: Add disable-silent-rules
   * debian/copyright: Don't use symlink licenses
   * Update symbols

libxfce4util (4.10.1-2) unstable; urgency=low

   [ Evgeni Golov ]
   * Correct Vcs-* URLs to point to anonscm.debian.org
 
   [ Jackson Doak ]
   * Bump standards version to 3.9.5
   * debian/rules: Add disable-silent-rules
   * debian/copyright: Don't use symlink licenses
 
   [ Yves-Alexis Perez ]
   * debian/control:
     - add build-dep on dh-autoreconf, gtk-doc-tools and xfce4-dev-tools
     - fix spelling error in libxfce4util6-dbg synopsys
   * debian/rules:
     - use dh-autoreconf addon to update aclocal.m4 and support ppc64el.
                                                                 closes: #752769

2013

libxfce4util (4.10.1-1) unstable; urgency=low

   * New upstream release.
   * Upload to unstable.
   * debian/rules:
     - enable all hardening flags.

2012

libxfce4util (4.10.0-2) experimental; urgency=low

   * debian/patches:
     - 02_fix-abicheck.sh added, fix FTBFS on ppc64.             closes: #682414

libxfce4util (4.10.0-1) experimental; urgency=low

   * New upstream stable release.
   * Revert to unversioned -dev package name, we don't intend to keep the old
     one around.

libxfce4util (4.9.1-1) experimental; urgency=low

   [ Lionel Le Folgoc ]
   * New upstream development release.
 
   [ Yves-Alexis Perez ]
   * debian/rules:
     - build with --parallel.

libxfce4util (4.9.0-1) experimental; urgency=low

   [ Lionel Le Folgoc ]
   * debian/patches: add missing DEP3 headers.
   * debian/control: use Breaks instead of Conflicts when possible.
 
   [ Yves-Alexis Perez ]
   * New upstream development release.
     - update symbols file.
     - rename library package to follow soname change.
     - rename -dev package to follow API change.
   * debian/control:
     - update standards version to 3.9.3.
     - update debhelper build dep to 9.
     - add build-dep on dpkg-dev 1.16.1.
     - drop hardening-includes build-dep.
     - add Pre-Depends on ${misc:Pre-Depends} for multi-arch.
     - replace Conflicts by Breaks
     - make libxfce4util6-dev Breaks/Replaces libxfce4util-dev
   * debian/compat bumped to 8
   * debian/libxfce4util6-dev.install:
     - stop shipping static file, it's not built by default anymore anyway.
     - update paths for multi-arch.
   * debian/libxfce4util6.install:
     - update paths for multi-arch.
   * debian/rules:
     - use hardening support of debhelper 9 and dpkg-dev 1.16.1.
   * debian/copyright updated.

2011

libxfce4util (4.8.2-1) unstable; urgency=low

   * New upstream release.
   * debian/patches:
     - 01_add-desktop-base-in-config-dirs refreshed

libxfce4util (4.8.1-3) unstable; urgency=low

   * debian/patches:
     - xubuntu_desktop-x-ubuntu-gettext.patch: added from ubuntu.
     - ubuntu.series: list this patch only.

libxfce4util (4.8.1-2) unstable; urgency=low

   * Upload to unstable.
   * debian/control:
     - update section to xfce.
     - remove Emanuele and Simon from uploaders, thanks to them.
     - update standards version to 3.9.2.

libxfce4util (4.8.1-1) experimental; urgency=low

   [ Yves-Alexis Perez ]
   * New upstream development release.
   * debian/libxfce4util.shlibs: bump package version to 4.7.0.
   * debian/rules:
     - add hardening flags to {C,LD}FLAGS
   * debian/control:
     - add build-dep on hardening-includes
 
   [ Lionel Le Folgoc ]
   * debian/libxfce4util4.symbols: added.
   * debian/libxfce4util4.shlibs: dropped, not needed.
   * debian/rules:
     - call dpkg-buildflags instead of doing manual tests
     - invoke dh_install with --fail-missing.
   * debian/control:
     - bump Standards-Version to 3.9.1, no change required
     - drop some trailing spaces
     - add myself to Uploaders.
   * debian/copyright: refreshed.
   * debian/README.source: dropped.

2010

libxfce4util (4.6.2-1) unstable; urgency=low

   [Yves-Alexis Perez]
   * New upstream release.
   * debian/control:
     - bump standards version to 3.8.4.
     - add build-dep on intltool.
     - drop quilt and chrpath build-deps.
     - bump debhelper build-deps for overrides.
   * debian/rules:
     - switch to debhelper 7.
   * switch to 3.0 (quilt) source format.
 
   [Stefan Ott]
   * debian/watch edited to track Xfce archive reorganisation.

2009

libxfce4util (4.6.1-2) unstable; urgency=low

   * debian/control:
     - update standards version to 3.8.3.
     - add depends on ${misc:Depends}.
     - add two binary packages (-bin and -common) to ease
       multiple-versions installations.
   * debian/xfce4-kiosk-query.8: fix typo.
   * debian/rules:
     - stop installing debian/xfce4-kiosk-query.8, it'll be done automagically.
     - stop doing shlibs, it'll done automagically.
   * debian/libxfce4util-bin.manpages: add xfce4-kiosk-query.8 to installed
     manpages.
   * debian/libxfce4util4.shlibs: give shlibs informations.

libxfce4util (4.6.1-1) unstable; urgency=low

   * New upstream release.
   * debian/control:
     - move lib to libs section, -dbg to debug one.

libxfce4util (4.6.0-2) unstable; urgency=low

   * Upload to unstable.
   * debian/compat: bump to 7.
   * debian/control:
     - update build-dep on dh to 7 accordingly.
     - update standards version to 3.8.1.
     - move to section xfce.
     - drop now useless conflicts/replaces.
   * debian/rules:
     - add -Wl,-z,defs -Wl,--as-needed to LDFLAGS.
     - replace dh_clean -k by dh_prep.

libxfce4util (4.6.0-1) experimental; urgency=low

   [ Xfce 4.6 Alpha “Pinkie”]
   * debian/rules:
     - update shlibs.
     - fail if dh_install misses files.
 
   [ Xfce 4.6 Beta 1 “Fuzzy”]
   * new upstream beta release.
   * debian/control:
     - no need to depends on gtk, libxfce4util is glib-only.
   * debian/rules:
     - bump shlibs for Fuzzy.
 
   [ Xfce 4.6 Beta 2 “Hopper”]
   * new upstream beta release.
   * debian/rules:
     - bump shlibs for 4.5.92.
 
   [ Xfce 4.6 Beta 3 “Tuco-tuco”]
   * new upstream beta release.
   * debian/rules:
     - bump shlibs for 4.5.93.
 
   [ Xfce 4.6 RC1 “Capybara” ]
   * new upstream release candidate.
   * debian/rules:
     - bump shlibs for 4.5.99.1.
 
   [ Xfce 4.6.0 ]
   * new upstream release.
   * debian/rules:
     - bump shlibs for 4.6.0.

2008

libxfce4util (4.4.2-3) unstable; urgency=low

   * debian/control:
     - fixed typo in short description.                          closes: #489493
     - removed Martin Loschwitz from Uploaders.
     - updated standards version to 3.8.0.

libxfce4util (4.4.2-2) unstable; urgency=low

   * debian/control:
     - add a -dbg package
     - update standards version to 3.7.3.
     - update my email address.
   * debian/rules: put debug infos in -dbg package.
   * debian/compat: updated to 5 so dh_strip behaves nicely.
   * debian/libxfce4util-dev.install: remove /usr/share/xfce4/m4, not present.
   * debian/copyright: use © sign.

2007

libxfce4util (4.4.2-1) unstable; urgency=low

   [ Simon Huggins ]
   * Use ${binary:Version} so we are binNMU safe.
   * debian/control: Move fake Homepage field to a real one now dpkg
     supports it.
 
   [ Yves-Alexis Perez ]
   * New upstream release.
   * debian/rules: don't ignore all make errors at clean stage.
 
   [ Simon Huggins ]
   * Add Vcs-* headers to debian/control

libxfce4util (4.4.1-1) unstable; urgency=low

   * New upstream release.
   * debian/copyright: updated copyright holders.

libxfce4util (4.4.0-2) experimental; urgency=low

   * debian/rules: remove /usr/lib/libxfce4util.la from package.
   * debian/libxfce4util4.install: ship locales.

libxfce4util (4.4.0-1) experimental; urgency=low

   * (Yves-Alexis Perez)
     - New upstream release.
   * (Emanuele Rocca)
     - debian/control: Added a note about the manual and suggest devhelp.

2006

libxfce4util (4.3.99.2-1) unstable; urgency=low

   * New upstream release.
   * 01_add-desktop-base-in-config-dirs: enable use of config files provided
     by desktop-base package. Quick & dirty patch for Etch.

libxfce4util (4.3.99.1-1) unstable; urgency=low

   * New upstream release

libxfce4util (4.3.90.2-2) unstable; urgency=low

   * rpath fixes: call chrpath in debian/rules and add it to the build
     dependencies.
   * Move the dh_makeshlibs call to the right place so we run ldconfig in
     postinst.

libxfce4util (4.3.90.2-1) experimental; urgency=low

   (Yves-Alexis Perez)
   * New upstream release.
   * debian/control: updated standards version to 3.7.2.
   * Bumped soname version to 4 and renamed binary package accordingly.
   (Simon Huggins)
   * Upload to experimental so we can clear NEW without issues.

libxfce4util (4.3.90.1-1) unstable; urgency=low

   * New Upstream Release
   * Changed binary package name to reflects soname change
   * Remove pointless .la files.

2005

libxfce4util (4.2.3.2-1) unstable; urgency=low

   * Yves-Alexis Perez
    * New Upstream Release
   * Simon Huggins
    * Configure sysconfdir correctly                             closes: #329139

libxfce4util (4.2.2-1) unstable; urgency=low

   * New Upstream Release
   * Fix shlibs to be > 4.2.0 to help fix upstream's soname breakage
   * Moved xfce4-kiosk-query.8 from the -dev to libxfce4util-1
   * Change suite to unstable

libxfce4util (4.2.1-1) experimental; urgency=low

   * ML: New Upstream Release (Xfce 4.2.1)
   * ML: Upload to experimental to prevents problems with NEW packages
   * ML: debian/control: Added Maintainer/Uploaders fields

libxfce4util (4.2.0-2) experimental; urgency=low

   * Add the xfce4-kiosk-query.8 from Benny
   * --enable-final to configure
   * Add a Homepage: to the description

libxfce4util (4.2.0-1) experimental; urgency=low

   * New Upstream Release

2004

libxfce4util (4.1.99.1-1) experimental; urgency=low

   * ML: New Upstream Release (4.1.99.1 alias XFce4 4.2 RC1)
   * ML: libxfce4util-1.install: nls.alias is gone, don't try to install it
   * ML: libxfce4util-dev.install: Added usr/share/gtk-doc/html/libxfce4util/*
   * ML: libxfce4util-1.install Added usr/bin/xfce4-kiosk-query

libxfce4util (4.0.6-1) unstable; urgency=high

   * urgency high to avoid previous buildd mess; there are 4 more upload stages
     each requiring the dev packages from the previous stage to be installed on
     all archs before we can upload (see http://wiki.earth.li/XfceDebian)
   * New upstream release
   * Upstream have incorporated the fix for PATH_MAX definition closes: #254383
   * Remove Norbert Tretkowski from Uploaders as requested.

libxfce4util (4.0.5-1) unstable; urgency=high

   * urgency high to avoid previous buildd mess; there are 4 more upload stages
     each requiring the dev packages from the previous stage to be installed on
     all archs before we can upload (see http://wiki.earth.li/XfceDebian)
   * New upstream release
   * Update upstream's libtool

libxfce4util (4.0.3-2) unstable; urgency=low

   * Update libtool
   * Snarf depends.m4 from CVS for XFCE_MCS_PLUGINS so I can update libtool
     elsewhere (thanks benny)
   * Just adding Daniel wasn't enough.  Add self to Uploaders so katie doesn't
     think this is an NMU again.

libxfce4util (4.0.3-1) unstable; urgency=low

   * New upstream release
   * Add libgtk2.0-dev to Depends: closes: #220410
   * Add Daniel Silverstone <dsilvers@debian.org> to Uploaders as approved by
     madkiss
   * Thanks to Daniel for checking and uploading these packages

2003

libxfce4util (4.0.2-1) unstable; urgency=low

   * New upstream release

libxfce4util (4.0.0.final-1) unstable; urgency=low

   * New upstream release
   * New Co-Maintainer: Norbert Tretkowski.
   * Many cleanups in debian/-subdir
   * Renamed libxfce4util-0-dev to libxfce4util-dev
   * libxfce4util-1 instead of libxfce4util-0

libxfce4util (0.2.0+cvs.20030421-1) unstable; urgency=low

   * New CVS checkout

libxfce4util (0.0.0+cvs.20030324-1) unstable; urgency=low

   * Initial Release.